package com.buy507.mall.portal.service;

import java.util.List;

import com.buy507.mall.model.CmsSubject;
import com.buy507.mall.model.PmsProduct;
import com.buy507.mall.portal.domain.HomeContentResult;
import com.buy507.mall.portal.domain.ProductCategoryOptions;
import com.buy507.mall.portal.domain.ProductDetailResult;
import com.buy507.mall.portal.domain.ProductSkuResult;

/**
 * 首页内容管理Service
 */
public interface HomeService {

    /**
     * 获取首页内容
     */
    HomeContentResult content();

    /**
     * 首页商品推荐
     */
    List<PmsProduct> recommendProductList(Integer pageSize, Integer pageNum);

    /**
     * 获取商品分类信息
     */
    List<ProductCategoryOptions> getProductCateList();

    /**
     * 根据专题分类分页获取专题
     * @param cateId 专题分类id
     */
    List<CmsSubject> getSubjectList(Long cateId, Integer pageSize, Integer pageNum);
    
    /**
     * 获取商品详情
     * @param productId
     * @return
     */

    /**
     * 获取会员专区商品
     * @param
     * @return
     */
    List<PmsProduct> getVipProductList();

    ProductDetailResult getProductInfo(Long productId);
    
    ProductSkuResult getProductSku(Long productId, String sp1, String sp2, String sp3);
    
    List<PmsProduct> getProductList(Long brandId, Long categoryId, String sortType, Integer pageSize, Integer pageNum);

    List<PmsProduct> getPointProductList();

    List<PmsProduct> getPointExchangeProductList();
}
